Đến nội dung


Hình ảnh

cắt các đường ghi kích thước


  • Please log in to reply
25 replies to this topic

#21 jinxy

jinxy

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 05 September 2012 - 10:26 PM

cảm ơn bạn
mr.nguyen08ql
  • 0

#22 quansla

quansla

    biết lệnh xclip

  • Members
  • PipPipPipPipPipPipPip
  • 643 Bài viết
Điểm đánh giá: 224 (khá)

Đã gửi 06 September 2012 - 09:45 AM

Giúp với mấy anh ơi! Không duoc dang bí luôn nè!

Chắc bac ketxu lại quên cái vụ này rồi, list của bác ấy thiếu phần bổ trợ các bác ạh. Theo em các bác dùng tạm hai list CD, BD đi khi nào rảnh bác ketxu up phần còn thiếu của list nên(hình như là hàm con DTR thì phải). Em up lại cho các bác ở đây vậy, cũng hông rõ là trước kia lấy từ nguồn nào nữa, trong máy có thì up thôi, xin phép trước ạ

;;;------------------------CAT CHAN DIM---------------
(DEFUN C:CD (/ CMD SS LTH DEM PT DS KDL N70 GOCX GOCY PT13 PT14 PTI PT13I PT14I
PT13N PT14N O13 O14 N13 N14 OSM OLDERR PT10 PT11)
(SETQ CMD (GETVAR "CMDECHO"))
(SETQ OSM (GETVAR "OSMODE"))
(SETQ OLDERR *error*
*error* myerror)
(PRINC "Hay chon duong kich thuoc can thay doi!")
(SETQ SS (SSGET))
(SETVAR "CMDECHO" 0)
(SETQ PT (GETPOINT "Point to trim or extend:"))
(SETQ PT (TRANS PT 1 0))
(COMMAND "UCS" "W")
(SETQ LTH (SSLENGTH SS))
(SETQ DEM 0)
(WHILE (< DEM LTH)
(PROGN
(SETQ DS (ENTGET (SSNAME SS DEM)))
(SETQ KDL (CDR (ASSOC 0 DS)))
(IF (= "DIMENSION" KDL)
(PROGN
(SETQ PT10 (CDR (ASSOC 10 DS)))
(SETQ PT11 (CDR (ASSOC 11 DS)))
(SETQ PT13 (CDR (ASSOC 13 DS)))
(SETQ PT14 (CDR (ASSOC 14 DS)))
(SETQ N70 (CDR (ASSOC 70 DS)))
(IF (OR (= N70 32) (= N70 33) (= N70 160) (= N70 161))
(PROGN
(SETQ GOCY (ANGLE PT10 PT14))
(SETQ GOCX (+ GOCY (/ PI 2)))
)
)
(SETVAR "OSMODE" 0)
(SETQ PTI (POLAR PT GOCX 2))
(SETQ PT13I (POLAR PT13 GOCY 2))
(SETQ PT14I (POLAR PT14 GOCY 2))
(SETQ PT13N (INTERS PT PTI PT13 PT13I NIL))
(SETQ PT14N (INTERS PT PTI PT14 PT14I NIL))
(SETQ O13 (ASSOC 13 DS))
(SETQ O14 (ASSOC 14 DS))
(SETQ N13 (CONS 13 PT13N))
(SETQ N14 (CONS 14 PT14N))
(SETQ DS (SUBST N13 O13 DS))
(SETQ DS (SUBST N14 O14 DS))
(ENTMOD DS)
)
)
(SETQ DEM (+ DEM 1))
)
)
(COMMAND "UCS" "P")
(SETVAR "CMDECHO" CMD)
(SETVAR "OSMODE" OSM)
(setq *error* OLDERR) ; Restore old *error* handler
(PRINC)
)
;;;------------------------CHUYEN DUONG DIM VE VI TRI MOI---------------
(DEFUN C:BD (/ CMD SS LTH DEM PT DS KDL N70 GOCX GOCY PT13 PT14 PTI
PT10 PT10I PT10N O10 N10 PT11 PT11N O11 N11 KC OSM OLDERR)
(SETQ CMD (GETVAR "CMDECHO"))
(SETQ OSM (GETVAR "OSMODE"))
(SETQ OLDERR *error*
*error* myerror)
(PRINC "Please select dimension object!")
(SETQ SS (SSGET))
(SETVAR "CMDECHO" 0)
(SETQ PT (GETPOINT "Point to trim or extend:"))
(SETQ PT (TRANS PT 1 0))
(COMMAND "UCS" "W")
(SETQ LTH (SSLENGTH SS))
(SETQ DEM 0)
(WHILE (< DEM LTH)
(PROGN
(SETQ DS (ENTGET (SSNAME SS DEM)))
(SETQ KDL (CDR (ASSOC 0 DS)))
(IF (= "DIMENSION" KDL)
(PROGN
(SETQ PT13 (CDR (ASSOC 13 DS)))
(SETQ PT14 (CDR (ASSOC 14 DS)))
(SETQ PT10 (CDR (ASSOC 10 DS)))
(SETQ PT11 (CDR (ASSOC 11 DS)))
(SETQ N70 (CDR (ASSOC 70 DS)))
(IF (OR (= N70 32) (= N70 33) (= N70 160) (= N70 161))
(PROGN
(SETQ GOCY (ANGLE PT10 PT14))
(SETQ GOCX (+ GOCY (/ PI 2)))
)
)
(SETVAR "OSMODE" 0)
(SETQ PTI (POLAR PT GOCX 2))
(SETQ PT10I (POLAR PT10 GOCY 2))
(SETQ PT10N (INTERS PT PTI PT10 PT10I NIL))
(SETQ KC (DISTANCE PT10 PT10N))
(SETQ O10 (ASSOC 10 DS))
(SETQ N10 (CONS 10 PT10N))
(SETQ DS (SUBST N10 O10 DS))
(SETQ PT11N (POLAR PT11 (ANGLE PT10 PT10N) KC))
(SETQ O11 (ASSOC 11 DS))
(SETQ N11 (CONS 11 PT11N))
(SETQ DS (SUBST N11 O11 DS))
(ENTMOD DS)
)
)
(SETQ DEM (+ DEM 1))
)
)
(COMMAND "UCS" "P")
(SETVAR "CMDECHO" CMD)
(SETVAR "OSMODE" OSM)
(setq *error* OLDERR)
(PRINC)
)
;-----------------------------------------------------------------------------------------------------------

  • 1

#23 anhhungxdddcnnb

anhhungxdddcnnb

    biết vẽ point

  • Members
  • PipPip
  • 95 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 06 September 2012 - 11:58 AM

Chào bạn!
Bạn có thể làm theo cách của các bác ghi ở trên là dùng list cut dim.
Hoặc bạn có thể cài đặt trong dim với khoàng cách là 500
Nếu cần bạn có thể liên hệ trực tiếp với mình,mình sẽ hướng dẫn.
Hiện tại mình có 1 cuốn giáo trình cad khá cơ bản và dễ học và có thể liên hệ:01652601902
  • 0

#24 thanhson201089

thanhson201089

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 September 2014 - 01:24 PM

  cai code cua bac mr nguyen cop vào cai cd.lps kia là dung dc, tks bac nhé!


  • 0

#25 nhacanlangtu

nhacanlangtu

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 July 2016 - 12:51 PM

Anh e trong diễn đàn có ai biết cái lỗi này không giúp mình với.Thanks all!http://www.cadviet.c...54_loidim_2.dwg

Mình kéo chân dim lên xuống thì nó bị lệch luôn.


  • 0

#26 Danh Cong

Danh Cong

    biết lệnh hatchedit

  • Members
  • PipPipPipPip
  • 260 Bài viết
Điểm đánh giá: 43 (tàm tạm)

Đã gửi 19 July 2016 - 03:30 PM

Anh e trong diễn đàn có ai biết cái lỗi này không giúp mình với.Thanks all!http://www.cadviet.c...54_loidim_2.dwg

Mình kéo chân dim lên xuống thì nó bị lệch luôn.

Dùng lệnh DLI đi bác  :)  :)  :)  :)


  • 0

             ***  Vô lo - Vô nghĩ - Vô sầu hận  ***

***  Chẳng thương - Chẳng giận - Chẳng đau lòng  ***